Geek Projects – Linux, Apache, MySQL, PHP, DNS A Linux Sysadmin

March 2, 2009

Bypass rm's “argument list too long” error message with xargs

Filed under: Linux — Tags: , , — Matt @ 3:19 pm

When using rm to delete a large number of files, you may come up against a kernel limitation which limits the length of arguments that can be sent to rm:

$ rm *

bash: /bin/rm: Argument list too long

This one-liner utilizes xargs to bypass this limitation:

ls | xargs rm

January 23, 2009

How to reconfigure CPAN

Filed under: Linux — Matt @ 12:29 am

I’m always forgetting the command that’s needed to start CPAN’s configuration wizard back up after its initial setup. To reconfigure CPAN, just execute the follow command from the CPAN prompt:

o conf init

October 16, 2008

Bypassing the “You use an internal update server. Abort.” message when upgrading from SLES 10 to SLES SP1

Filed under: Linux — Matt @ 4:47 pm

I’m currently performing an online upgrade from SLES 10 (SUSE Linux Enterprise Server 10) to SLES 10 SP2. While following Novell’s instructions on upgrading from SLES 10 to SLES SP1, I hit the error message below:

sles10-32bit:~ # switch-update-server
You use an internal update server. Abort.

The fix was to edit /usr/bin/switch-update-server , comment out the following lines, then run switch-update-server again.

# check if there is a old or new update server
#if ! echo "$CHECK_URIS" | grep -F "$NEW_SERVER_NAME" >/dev/null 2>&1 &&
# ! echo "$CHECK_URIS" | grep -F "$OLD_SERVER_NAME" >/dev/null 2>&1; then
# # no old and no new update server => not registered or use an internal mirror
# # no need to switch
# echo "You use an internal update server. Abort." >&2
# echo "You use an internal update server. Abort."
# exit 1
#fi

January 17, 2008

Configuring the Cisco VPN Client in Ubuntu Linux 7.10 (Gutsy)

Filed under: Linux — Matt @ 1:15 am

I do some work for an organization which requires me to authenticate to a Cisco VPN. Getting the VPN client setup under Mac OS X is a simple matter, but doing the same under Linux required some research. Here’s what worked for me. I’m using the 64-bit x86 version of Ubuntu, which didn’t seem to cause any hiccups:

Step 1 – Install the Cisco VPN Client:

  1. Check what kernel you’re running by issuing the uname -a command. You should get something like:
  2. Linux matt-media 2.6.22-14-generic #1 SMP Tue Dec 18 05:28:27 UTC 2007 x86_64 GNU/Linux

  3. Download a copy of Cisco’s VPN client for Linux. If you’re using a 2.6.x kernel, it’s important to use a 4.8.x client.
  4. Confirm that you have kernel sources installed for your kernel version. Check the /lib/modules/ directory.
  5. Download a patch matching your kernel version from http://tuxx-home.at/. I’m running 2.6.22, so I ran:
  6. wget http://tuxx-home.at/projects/cisco-vpnclient/vpnclient-linux-2.6.22.diff

  7. Extract Cisco’s VPN client tarball:
  8. tar -xzf vpnclient-linux-x86_64-4.8.00.0490-k9.tar.gz

  9. Apply the patch:
  10. cd vpnclient
    patch -i ../vpnclient-linux-2.6.22.diff

  11. Install the VPN client:
  12. sudo ./vpn_install

Step 2 – Configure the VPN Client:

  1. Take a backup of a working Cisco VPN client’s configuration. The location below is where these files were located on my Mac OS X system. They’re no doubt located somewhere other than the /private folder in other OSes.
  2. tar -czf cisco-vpnclient.tgz /private/etc/opt/cisco-vpnclient

  3. Copy the cisco-vpnclient.tgz tarball that you just created into the /etc/opt/ directory of your Linux system, and unpack it.
  4. sudo tar -xzf cisco-vpnclient.tgz

  5. Start the vpnclient service.
  6. sudo /etc/init.d/vpnclient_init start

  7. Check the name of your VPN’s profile by listing the contents of the Profiles directory. Your profile’s name will be the name of the the .pcf file, minus the .pcf extension.
  8. ls /etc/opt/cisco-vpnclient/Profiles/

  9. Connect to the VPN, using the profile name found above as the last argument.
  10. sudo vpnclient connect "University of South Florida"

That’s it! You should now be prompted to enter your password, and find yourself connected!

« Newer Posts

Powered by WordPress